<?php

/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: avatar.php
-------------------------------------------
*/

//-----Создаем титл страницы-----//
$title = 'Смена аватарки';
//----- Подключаем require_once (он же include_once)-----//
require_once ('../system/function.php');
require_once ('../system/header.php');

if(!$user['id']) {
header('Location: '.$HOME);
exit();
}

echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | Сменить аватарку</div>';

/* Если нажали загрузить аватар*/
if(isset($_REQUEST['submit'])) {

$maxsize = 2; // Максимальный размер файла,в мегабайтах 
$size = $_FILES['filename']['size']; // Вес файла

/* Если не выбрали файл */
if(!@file_exists($_FILES['filename']['tmp_name'])) {
echo '<div class="podmenu"><center><b>Вы не выбрали файл!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Максимальный размер 1мб */
if ($size > (1048576 * $maxsize)) {
echo '<div class="podmenu"><center><b>Максимальный размер файла '.$maxsize.'мб!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Тип файлов которые можно загружать */
$filetype = array ( 'jpg', 'gif', 'png', 'jpeg', 'bmp' ); 
$upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], ".")+1); 
  
/* Если тип файла не подходит */
if(!in_array($upfiletype,$filetype)) {
echo '<div class="podmenu"><center><b>К загрузке разрешены файлы форматом JPG,GIF,PNG,JPEG,BMP!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Если все окей,заливаем файл в папу и делаем запрос */
$files = 'files_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name']; 

/* Заливаем */
move_uploaded_file($_FILES['filename']['tmp_name'], "../files/ava/".$files.""); 

/* Делаем запрос */
mysql_query("UPDATE `users` SET `avatar`='".$files."' WHERE `id`='".$user['id']."' limit 1");
header('Location: '.$HOME.'/user/avatar.php');
exit();
}

//--Удаление авки--//
if(isset($_REQUEST['delava'])) {
mysql_query("UPDATE `users` SET `avatar` = '' WHERE `id` = '".$user['id']."'");

unlink("../files/ava/".$user['avatar']."");

header('Location: '.$HOME.'/user/avatar.php');
exit();
}

echo '<div class="podmenu">К загрузке допускаются фотографии форматом <b>JPG,GIF,PNG,JPEG,BMP</b>
<br />После смены аватара в анкете будет выводится фотография размером <b>210x210</b></div><div class="podmenu">';  
  
echo (empty($user['avatar'])?'<img src="../files/ava/net.jpg" alt="*" style="max-width: 210px; max-height: 210px;">':'<img src="../files/ava/'.$user['avatar'].'" alt="*" style="max-width: 210px; max-height: 210px;"><br />[<a href="'.$HOME.'/user/avatar.php?delava">Удалить</a>]');

echo '</div><div class="podmenu"><form action="" method="post" enctype="multipart/form-data"> 
Выберите файл:<br><input type="file" name="filename"/><br>   
<input type="submit" value="Загрузить" name="submit"/> 
</form></div>
<div class="menudiv"><a href="'.$HOME.'/user/cab.php" class="k_menu">Назад в кабинет</div></a>';

//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>